# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KDevicePropsPlugin Class Reference

Properties plugin for device .desktop files. More...

`#include <kpropertiesdialog.h>`

Inheritance diagram for KDevicePropsPlugin:

[legend]
Collaboration diagram for KDevicePropsPlugin:

[legend]
List of all members.

## Public Member Functions

| KDevicePropsPlugin (KPropertiesDialog *_props)
virtual void | applyChanges ()
| Applies all changes to the file.

## Static Public Member Functions

bool | supports (KFileItemList _items)

## Detailed Description

Properties plugin for device .desktop files.

Definition at line 680 of file kpropertiesdialog.h.

## Member Function Documentation

void KDevicePropsPlugin::applyChanges | ( |  | ) | `[virtual]`

Applies all changes to the file.

This function is called when the user presses 'Ok'. The last plugin inserted is called first.

Reimplemented from KPropsDlgPlugin.

Definition at line 2656 of file kpropertiesdialog.cpp.

References QFile::close(), QString::fromLatin1(), KIconButton::icon(), QCheckBox::isChecked(), KPropertiesDialog::kurl(), QFile::open(), KURL::path(), KPropsDlgPlugin::properties, KConfigBase::setDesktopGroup(), KMessageBox::sorry(), KSimpleConfig::sync(), QLabel::text(), and KConfigBase::writeEntry().

The documentation for this class was generated from the following files:

- kpropertiesdialog.h
- kpropertiesdialog.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:15:51 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001